Loading...
Searching...
No Matches
BALL::VIEW::ModelInformation Class Reference
Visualisation » Kernel » Other classes

`#include <BALL/VIEW/KERNEL/modelInformation.h>`

## Public Member Functions

| ModelInformation ()
virtual | ~ModelInformation ()
Accessors: inspectors and mutators
virtual String | getModelName (ModelType type) const
virtual String | getColoringName (ColoringMethod type) const
virtual bool | isSurfaceModel (ModelType type) const
virtual bool | modelMuteableByDisplayProperties (ModelType type) const
virtual bool | coloringMuteableByDisplayProperties (ColoringMethod type) const
virtual bool | modelMustBeRebuild (ModelType type) const

## Detailed Description

ModelInformation class. This class is used to retrieve names, types and different properties for the different models and coloring methods. It can be used to inform the VIEW libraries classes of additional model types, that are declared outside of the library itself. To do so, call MainControl::setModelInformation().

Definition at line 26 of file modelInformation.h.

## Constructor & Destructor Documentation

## ModelInformation()

BALL::VIEW::ModelInformation::ModelInformation | ( |  | ) |

Default Constructor. Calls clear.

## ~ModelInformation()

virtual BALL::VIEW::ModelInformation::~ModelInformation | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## coloringMuteableByDisplayProperties()

virtual bool BALL::VIEW::ModelInformation::coloringMuteableByDisplayProperties | ( | ColoringMethod | type | ) | const

virtual

Model can be modified with DisplayProperitesDialog

## getColoringName()

virtual String BALL::VIEW::ModelInformation::getColoringName | ( | ColoringMethod | type | ) | const

virtual

Get a name for a ColoringMethod

## getModelName()

virtual String BALL::VIEW::ModelInformation::getModelName | ( | ModelType | type | ) | const

virtual

Get a name for a ModelType

## isSurfaceModel()

virtual bool BALL::VIEW::ModelInformation::isSurfaceModel | ( | ModelType | type | ) | const

virtual

Define, which Models are Surfaces. Add new kinds of Surfaces to this function!

## modelMustBeRebuild()

virtual bool BALL::VIEW::ModelInformation::modelMustBeRebuild | ( | ModelType | type | ) | const

virtual

Model must be rebuild, if Composite changes but hierarchy is unchanged.

## modelMuteableByDisplayProperties()

virtual bool BALL::VIEW::ModelInformation::modelMuteableByDisplayProperties | ( | ModelType | type | ) | const

virtual

Model can be modified with DisplayProperitesDialog